Bug 186540 - audio/sox installs symlink with non-existent target
Summary: audio/sox installs symlink with non-existent target
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-07 17:10 UTC by TsurutaniNaoki
Modified: 2014-03-02 12:03 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (527 bytes, patch)
2014-02-07 17:10 UTC, TsurutaniNaoki
no flags Details | Diff
patch-Makefile.am (623 bytes, text/plain; charset=us-ascii)
2014-02-07 20:12 UTC, Dan Nelson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2014-02-07 17:10:01 UTC
	audio/sox installs ${PREFIX}/man/man7/soxeffect.7.gz,
	which has non existing target of sox.1.gz .

Fix: bsd.stage.mk removes path information of the target file with symlink file
	while compressing man pages.
	hence, man7/soxeffect.7, symlink to ../man1/sox.1, was changed to the link
	like man7/soxeffect.7.gz -> sox.1.gz ; this is not correct.
	the following new patch file should be added as files/patch-Makefile.am;
Comment 1 Edwin Groothuis freebsd_committer 2014-02-07 17:10:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-07 17:10:14 UTC
Maintainer of audio/sox,

Please note that PR ports/186540 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186540

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Dan Nelson 2014-02-07 20:12:25 UTC
Unfortunately, your patch doesn't fix the underlying problem, which is that
the "compress-man" target of bsd.port.mk strips off the path of any symlink
that is created.  It can't handle the case where you want to symlink a
manpage from a different category.  The old-style MLINKS make variable did
this correctly, which is why this problem only popped up after the switch to
a staged buld.

Modifying your patch to simply copy the file instead of symlink it
(attached) works around the bug.
Comment 4 TsurutaniNaoki 2014-02-07 21:41:01 UTC
My patch worked fine on my host...
I think already gziped files are not manipulated any more.
Comment 5 Thomas Zander freebsd_committer 2014-03-02 07:58:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->riggs

I'll take it.
Comment 6 dfilter service freebsd_committer 2014-03-02 11:29:41 UTC
Author: riggs
Date: Sun Mar  2 11:29:25 2014
New Revision: 346756
URL: http://svnweb.freebsd.org/changeset/ports/346756
QAT: https://qat.redports.org/buildarchive/r346756/

Log:
  - Fix symlink pointing to non-existing manpage
  - Bump PORTREVISION
  
  PR:		ports/186540
  Submitted by:	Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp>
  Approved by:	thierry (mentor), Dan Nelson <dnelson@allantgroup.com> (maintainer)
  MFH:		2014Q1

Added:
  head/audio/sox/files/patch-Makefile.am   (contents, props changed)
Modified:
  head/audio/sox/Makefile

Modified: head/audio/sox/Makefile
==============================================================================
--- head/audio/sox/Makefile	Sun Mar  2 10:58:50 2014	(r346755)
+++ head/audio/sox/Makefile	Sun Mar  2 11:29:25 2014	(r346756)
@@ -3,7 +3,7 @@
 
 PORTNAME=	sox
 PORTVERSION=	14.4.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	SF
 

Added: head/audio/sox/files/patch-Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/sox/files/patch-Makefile.am	Sun Mar  2 11:29:25 2014	(r346756)
@@ -0,0 +1,14 @@
+Work around a ports bug wrt symlinking manpages in different
+categories, by copying the manpage instead.
+
+--- Makefile.am.orig	2013-01-30 11:40:06.000000000 +0900
++++ Makefile.am	2014-02-08 01:46:11.000000000 +0900
+@@ -118,7 +118,7 @@
+ install-data-hook:
+ 	cd $(DESTDIR)$(mandir)/man1 && $(RM) play.1 && $(LN_S) sox.1 play.1
+ 	cd $(DESTDIR)$(mandir)/man1 && $(RM) rec.1 && $(LN_S) sox.1 rec.1
+-	cd $(DESTDIR)$(mandir)/man7 && $(RM) soxeffect.7 && $(LN_S) ../man1/sox.1 soxeffect.7
++	cd $(DESTDIR)$(mandir)/man7 && $(RM) soxeffect.7 && cp ../man1/sox.1 soxeffect.7
+ 
+ uninstall-hook:
+ 	$(RM) $(DESTDIR)$(mandir)/man1/play.1
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2014-03-02 11:56:20 UTC
Author: riggs
Date: Sun Mar  2 11:56:13 2014
New Revision: 346757
URL: http://svnweb.freebsd.org/changeset/ports/346757
QAT: https://qat.redports.org/buildarchive/r346757/

Log:
  MFH: r346756
  
  - Fix symlink pointing to non-existing manpage
  - Bump PORTREVISION
  
  PR:		ports/186540
  Submitted by:	Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp>
  Approved by:	portmgr (erwin), thierry (mentor), Dan Nelson <dnelson@allantgroup.com> (maintainer)

Added:
  branches/2014Q1/audio/sox/files/patch-Makefile.am
     - copied unchanged from r346756, head/audio/sox/files/patch-Makefile.am
Modified:
  branches/2014Q1/audio/sox/Makefile
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/audio/sox/Makefile
==============================================================================
--- branches/2014Q1/audio/sox/Makefile	Sun Mar  2 11:29:25 2014	(r346756)
+++ branches/2014Q1/audio/sox/Makefile	Sun Mar  2 11:56:13 2014	(r346757)
@@ -3,7 +3,7 @@
 
 PORTNAME=	sox
 PORTVERSION=	14.4.1
-PORTREVISION=	1
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	SF
 

Copied: branches/2014Q1/audio/sox/files/patch-Makefile.am (from r346756, head/audio/sox/files/patch-Makefile.am)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/audio/sox/files/patch-Makefile.am	Sun Mar  2 11:56:13 2014	(r346757, copy of r346756, head/audio/sox/files/patch-Makefile.am)
@@ -0,0 +1,14 @@
+Work around a ports bug wrt symlinking manpages in different
+categories, by copying the manpage instead.
+
+--- Makefile.am.orig	2013-01-30 11:40:06.000000000 +0900
++++ Makefile.am	2014-02-08 01:46:11.000000000 +0900
+@@ -118,7 +118,7 @@
+ install-data-hook:
+ 	cd $(DESTDIR)$(mandir)/man1 && $(RM) play.1 && $(LN_S) sox.1 play.1
+ 	cd $(DESTDIR)$(mandir)/man1 && $(RM) rec.1 && $(LN_S) sox.1 rec.1
+-	cd $(DESTDIR)$(mandir)/man7 && $(RM) soxeffect.7 && $(LN_S) ../man1/sox.1 soxeffect.7
++	cd $(DESTDIR)$(mandir)/man7 && $(RM) soxeffect.7 && cp ../man1/sox.1 soxeffect.7
+ 
+ uninstall-hook:
+ 	$(RM) $(DESTDIR)$(mandir)/man1/play.1
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Thomas Zander freebsd_committer 2014-03-02 12:03:15 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!